[ic] Authorizenet Vend::Config::make_headers error

Peter peter at pajamian.dhs.org
Sat Sep 16 20:21:11 EDT 2006

On 09/15/2006 03:46 PM, Greg R. wrote:
> Thanks, I have removed the line:     
>    include /usr/lib/interchange/eg/globalsub/authorizenet
> As recommended from interchange.cfg  Now I get the following error:
> (Payment process): There was an error accepting payment: Real-time charge
> failed. Reason: payment routine 'authorizenet' returned error: Undefined
> subroutine &Vend::Payment::make_headers called at
> /usr/lib/interchange/lib/Vend/Payment.pm line 612.

make_headers comes from Net::SSLeay.  You need to (re)install
Net::SSLeay or uninstall Net::SSLeay and use LWP and Crypt::SSLeay instead.


More information about the interchange-users mailing list